"""
Functions for Staging BatchDate.txt Files

account_definition is taken exactly from table 2.2.4

TPC-DI Requirement: 2.2.2.2
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=21

This file has a single row with a single field containing the date of extraction of the data files
in the Staging Area, formatted as YYYY-MM-DD. This date will be referred to as the Batch
Date elsewhere in the specification.

Since this isn't a datasource handled like other files in stagins, BatchData will not use
fileFormatDef and instead have it's own explicit class.


TODO Write batchdate logic
"""
