"""
Historic WorkFlow Part, TaxRate

Transform Reference: 4.5.17
http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=71
"""

from ..hl_transform import Hl_transform
from pyspark.sql import DataFrame

class Hl_TaxRate(Hl_transform):

    source_names = {'staging': ['RawTaxRate'],
                    'warehouse': []}

    def _get_load_df(self) -> DataFrame:
        return self.source['RawTaxRate'](1)
