"""
Functions for data warehouse StatusType

TPC-DI Requirement: 3.2.16
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=45
"""


from ..whTable import WhTable
from ..tableDefTypes import *


class StatusType(WhTable):

    definition = [("ST_ID",   CHAR(4),  False, "Status code"),
                  ("ST_NAME", CHAR(10), False, "Not NULL Status description")]

