"""
Function(s) for data warehouse TaxRate

TPC-DI Requirement: 3.2.17
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=45
"""


from ..whTable import WhTable
from ..tableDefTypes import *


class TaxRate(WhTable):

    definition = [("TX_ID",   CHAR(4),  False, "Tax rate code"),
                  ("TX_NAME", CHAR(50), False, "Tax rate description"),
                  ("TX_RATE", NUM(6,5), False, "Tax rate")]
