"""
warehouse.table module has all warehouse tables classes
"""

from .FactCashBalances   import FactCashBalances
from .FactHoldings       import FactHoldings
from .FactWatches        import FactWatches
from .FactMarketHistory  import FactMarketHistory
from .Prospect           import Prospect
from .DimTrade           import DimTrade
from .DimCustomer        import DimCustomer
from .DimAccount         import DimAccount
from .DimBroker          import DimBroker
from .DimSecurity        import DimSecurity
from .DimCompany         import DimCompany
from .DimDate            import DimDate
from .DimTime            import DimTime
from .TradeType          import TradeType
from .StatusType         import StatusType
from .TaxRate            import TaxRate
from .Industry           import Industry
from .Financial          import Financial
from .DImessages         import DImessages
from .Audit              import Audit
from .AuxFINWIRE         import AuxFINWIRE
from .AuxFINWIRE_CMP     import AuxFINWIRE_CMP
from .AuxFINWIRE_SEC     import AuxFINWIRE_SEC
from .AuxFINWIRE_FIN     import AuxFINWIRE_FIN
from .AuxCustomerMgmt    import AuxCustomerMgmt
from .AuxProspect        import AuxProspect

__all__ = ['WH_TABLES']

WH_TABLES = [FactCashBalances, FactHoldings, FactWatches, FactMarketHistory, Prospect,
             DimTrade, 
             DimCustomer, DimAccount, DimBroker, DimSecurity, DimCompany,
             DimDate, DimTime,
             TradeType, StatusType, TaxRate, Industry, Financial,
             DImessages, Audit, AuxFINWIRE, AuxFINWIRE_CMP, AuxFINWIRE_SEC, AuxFINWIRE_FIN,
             AuxCustomerMgmt, AuxProspect]
