"""
staging.data module has all definitions of staging data
"""

from .Account import Account
from .Audit import Audit
from .CashTransaction import CashTransaction
from .Customer import Customer
from .CustomerMgmt import CustomerMgmt
from .DailyMarket import DailyMarket
from .Date import Date
from .FINWIRE import FINWIRE
from .HoldingHistory import HoldingHistory
from .HR import HR
from .RawIndustry import RawIndustry
from .RawProspect import RawProspect
from .RawStatusType import RawStatusType
from .RawTaxRate import RawTaxRate
from .Time import Time
from .Trade import Trade
from .TradeHistory import TradeHistory
from .RawTradeType import RawTradeType
from .WatchHistory import WatchHistory

__all__ = ['STG_DATA']

STG_DATA = [Account, Audit, CashTransaction, Customer, CustomerMgmt, DailyMarket,
            Date, FINWIRE, HoldingHistory, HR, RawIndustry, RawProspect, RawStatusType,
            RawTaxRate, Time, Trade, TradeHistory, RawTradeType, WatchHistory]

