

TC_DEP = [{'Dependent': {'Table': 'DimAccount', 'Column': 'SK_BrokerID'},
           'Source': {'Table': 'DimBroker', 'Column': 'SK_BrokerID'}},
          {'Dependent': {'Table': 'DimAccount', 'Column': 'SK_CustomerID'},
           'Source': {'Table': 'DimCustomer', 'Column': 'SK_CustomerID'}},
          {'Dependent': {'Table': 'DimSecurity', 'Column': 'SK_CompanyID'},
           'Source': {'Table': 'DimCompany', 'Column': 'SK_CompanyID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_BrokerID'},
           'Source': {'Table': 'DimBroker', 'Column': 'SK_BrokerID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_CreateDateID'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_CreateTimeID'},
           'Source': {'Table': 'DimTime', 'Column': 'SK_TimeID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_CloseDateID'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_CloseTimeID'},
           'Source': {'Table': 'DimTime', 'Column': 'SK_TimeID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_SecurityID'},
           'Source': {'Table': 'DimSecurity', 'Column': 'SK_SecurityID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_CompanyID'},
           'Source': {'Table': 'DimCompany', 'Column': 'SK_CompanyID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_CustomerID'},
           'Source': {'Table': 'DimCustomer', 'Column': 'SK_CustomerID'}},
          {'Dependent': {'Table': 'DimTrade', 'Column': 'SK_AccountID'},
           'Source': {'Table': 'DimAccount', 'Column': 'SK_AccountID'}},
          {'Dependent': {'Table': 'FactCashBalances', 'Column': 'SK_CustomerID'},
           'Source': {'Table': 'DimCustomer', 'Column': 'SK_CustomerID'}},
          {'Dependent': {'Table': 'FactCashBalances', 'Column': 'SK_AccountID'},
           'Source': {'Table': 'DimAccount', 'Column': 'SK_AccountID'}},
          {'Dependent': {'Table': 'FactCashBalances', 'Column': 'SK_DateID'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'FactCashBalances', 'Column': 'SK_TimeID'},
           'Source': {'Table': 'DimTime', 'Column': 'SK_TimeID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_TradeID'},
           'Source': {'Table': 'DimTrade', 'Column': 'SK_TradeID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_CurrentTradeID'},
           'Source': {'Table': 'DimTrade', 'Column': 'SK_CurrentTradeID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_CustomerID'},
           'Source': {'Table': 'DimCustomer', 'Column': 'SK_CustomerID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_AccountID'},
           'Source': {'Table': 'DimAccount', 'Column': 'SK_AccountID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_SecurityID'},
           'Source': {'Table': 'DimSecurity', 'Column': 'SK_SecurityID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_CompanyID'},
           'Source': {'Table': 'DimCompany', 'Column': 'SK_CompanyID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_DateID'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'FactHoldings', 'Column': 'SK_TimeID'},
           'Source': {'Table': 'DimTime', 'Column': 'SK_TimeID'}},
          {'Dependent': {'Table': 'FactMarketHistory', 'Column': 'SK_SecurityID'},
           'Source': {'Table': 'DimSecurity', 'Column': 'SK_SecurityID'}},
          {'Dependent': {'Table': 'FactMarketHistory', 'Column': 'SK_CompanyID'},
           'Source': {'Table': 'DimCompany', 'Column': 'SK_CompanyID'}},
          {'Dependent': {'Table': 'FactMarketHistory', 'Column': 'SK_DateID'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'FactWatches', 'Column': 'SK_CustomerID'},
           'Source': {'Table': 'DimCustomer', 'Column': 'SK_CustomerID'}},
          {'Dependent': {'Table': 'FactWatches', 'Column': 'SK_SecurityID'},
           'Source': {'Table': 'DimSecurity', 'Column': 'SK_SecurityID'}},
          {'Dependent': {'Table': 'FactWatches', 'Column': 'SK_DateID_DatePlaced'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'FactWatches', 'Column': 'SK_DateID_DateRemoved'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}},
          {'Dependent': {'Table': 'Prospect', 'Column': 'SK_UpdateDateID'},
           'Source': {'Table': 'DimDate', 'Column': 'SK_DateID'}}]
