"""
Historic WorkFlow Part, DimTime

Transform Reference: 4.5.7
http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=64
"""

from ..hl_transform import Hl_transform
from pyspark.sql import DataFrame

class Hl_DimTime(Hl_transform):

    source_names = {'staging': ['Time'],
                    'warehouse': []}

    def _get_load_df(self) -> DataFrame:
        return self.source['Time'](1)
