"""
Historic WorkFlow Part, Industry

Transform Reference: 4.5.13
http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=69
"""
from ..hl_transform import Hl_transform
from pyspark.sql import DataFrame

class Hl_Industry(Hl_transform):

    source_names = {'staging': ['RawIndustry'],
                    'warehouse': []}

    def _get_load_df(self) -> DataFrame:
        return self.source['RawIndustry'](1)
