"""
Historic WorkFlow Part, StatusType

Transform Reference: 4.5.16
http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=71
"""

from ..hl_transform import Hl_transform
from pyspark.sql import DataFrame

class Hl_StatusType(Hl_transform):

    source_names = {'staging': ['RawStatusType'],
                    'warehouse': []}

    def _get_load_df(self) -> DataFrame:
        return self.source['RawStatusType'](1)
