"""
Functions for data warehouse Industry

TPC-DI Requirement: 3.2.13
TPC-DI Ref: http://tpc.org/tpc_documents_current_versions/pdf/tpc-di_v1.1.0.pdf#page=44
"""

from ..whTable import WhTable
from ..tableDefTypes import *


class Industry(WhTable):

    definition = [("IN_ID",    CHAR(2),  False, "Industry code"),
                  ("IN_NAME",  CHAR(50), False, "Industry description"),
                  ("IN_SC_ID", CHAR(4),  False, "Sector identifier")]
